export declare const i18n: <G extends "bold" | "code" | "link" | "italic" | "strike" | "underline" | "mark" | "quote" | "colorify" | "mono" | "text" | "cut" | "table" | "image" | "code_inline" | "heading" | "note" | "file" | "codeblock" | "checkbox" | "emoji" | "list" | "tabs" | "math" | "heading1" | "heading2" | "heading3" | "heading4" | "heading5" | "heading6" | "undo" | "redo" | "math_inline" | "math_block" | "ulist" | "olist" | "list__action_sink" | "list__action_lift" | "list_action_disabled" | "hrule" | "colorify__group_text" | "colorify__color_default" | "colorify__color_gray" | "colorify__color_yellow" | "colorify__color_orange" | "colorify__color_red" | "colorify__color_green" | "colorify__color_blue" | "colorify__color_violet" | "more_action" | "mermaid", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    undo: string;
    redo: string;
    bold: string;
    italic: string;
    underline: string;
    strike: string;
    mono: string;
    mark: string;
    text: string;
    heading: string;
    heading1: string;
    heading2: string;
    heading3: string;
    heading4: string;
    heading5: string;
    heading6: string;
    list: string;
    ulist: string;
    olist: string;
    list__action_sink: string;
    list__action_lift: string;
    list_action_disabled: string;
    checkbox: string;
    quote: string;
    cut: string;
    note: string;
    table: string;
    link: string;
    code: string;
    code_inline: string;
    codeblock: string;
    image: string;
    hrule: string;
    emoji: string;
    file: string;
    math: string;
    math_inline: string;
    math_block: string;
    colorify: string;
    colorify__group_text: string;
    colorify__color_default: string;
    colorify__color_gray: string;
    colorify__color_yellow: string;
    colorify__color_orange: string;
    colorify__color_red: string;
    colorify__color_green: string;
    colorify__color_blue: string;
    colorify__color_violet: string;
    more_action: string;
    tabs: string;
    mermaid: string;
}[G] : string;
